package org.gyk.modules.lssj.yasuojishuju.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 报警历史记录
 * @Author: jeecg-boot
 * @Date:   2021-03-17
 * @Version: V1.0
 */
public class CxcSssjYasuojiBjls implements Serializable {
    private static final long serialVersionUID = 1L;

    /**ID*/
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "ID")
    private String id;
    /**报警点ID*/
    @Excel(name = "报警点ID", width = 15)
    @ApiModelProperty(value = "报警点ID")
    private String bjId;
    /**报警时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "报警时间")
    private Date beginTime;
    /**报警结束时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "报警时间")
    private Date endTime;

    /**报警值*/
    @Excel(name = "报警值", width = 15)
    @ApiModelProperty(value = "报警值")
    private String canshuZhi;
    /**报警描述*/
    @Excel(name = "报警描述", width = 15)
    @ApiModelProperty(value = "报警描述")
    private String bjMs;
    private String stationname;
    private String jizuhao;
    private String zt;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBjId() {
        return bjId;
    }

    public void setBjId(String bjId) {
        this.bjId = bjId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCanshuZhi() {
        return canshuZhi;
    }

    public void setCanshuZhi(String canshuZhi) {
        this.canshuZhi = canshuZhi;
    }

    public String getBjMs() {
        return bjMs;
    }

    public void setBjMs(String bjMs) {
        this.bjMs = bjMs;
    }

    public String getStationname() {
        return stationname;
    }

    public void setStationname(String stationname) {
        this.stationname = stationname;
    }

    public String getJizuhao() {
        return jizuhao;
    }

    public void setJizuhao(String jizuhao) {
        this.jizuhao = jizuhao;
    }

    public String getZt() {
        return zt;
    }

    public void setZt(String zt) {
        this.zt = zt;
    }
}
